@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;700&display=swap');

* {
    position: relative;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    border: none;
    outline: none;
    text-rendering: geometricPrecision;
    font-family: 'Montserrat', sans-serif;
}

body {
    background: #000;
    color: #FFF;
    font-size: 4vw;
    font-family: 'Roboto', sans-serif;
    font-style: normal;
    font-weight: 300;
}

main {

}

h1, h2, h3, h4 {
    font-weight: 700;
    padding-bottom: .5em;
}

.top-bg {
    width: 100%;
    height: 28em;
    overflow: hidden;
}

.top-bg .set {
    position: absolute;
    top: 0;
    bottom: 0;
    display: flex;
    width: 100%;
    height: 28em;
}

.top-bg .set .l {
    width: 100%;
    background-repeat: no-repeat;
    background-position: right;
    background-size: cover;
}

.top-bg .set .r {
    width: 100%;
    background-repeat: no-repeat;
    background-position: left;
    background-size: cover;
}

.img-1.l {
    background-image: url(../../img/flirthits4you/top/1-l.jpg)
}

.img-1.r {
    background-image: url(../../img/flirthits4you/top/1-r.jpg)
}

.img-2.l {
    background-image: url(../../img/flirthits4you/top/2-l.jpg)
}

.img-2.r {
    background-image: url(../../img/flirthits4you/top/2-r.jpg)
}

.img-3.l {
    background-image: url(../../img/flirthits4you/top/3-l.jpg)
}

.img-3.r {
    background-image: url(../../img/flirthits4you/top/3-r.jpg)
}

.img-4.l {
    background-image: url(../../img/flirthits4you/top/4-l.jpg)
}

.img-4.r {
    background-image: url(../../img/flirthits4you/top/4-r.jpg)
}

.img-5.l {
    background-image: url(../../img/flirthits4you/top/5-l.jpg)
}

.img-5.r {
    background-image: url(../../img/flirthits4you/top/5-r.jpg)
}

.img-6.l {
    background-image: url(../../img/flirthits4you/top/6-l.jpg)
}

.img-6.r {
    background-image: url(../../img/flirthits4you/top/6-r.jpg)
}


.ani-in .l {
    animation: ani-in-l 1s forwards;
}

@keyframes ani-in-l {
    from {
        transform: translateY(100%);
    }
    to {
        transform: translateY(0%)
    }
}

.ani-out .l {
    animation: ani-out-l 1s forwards;
}

@keyframes ani-out-l {
    from {
        transform: translateY(0%);
    }
    to {
        transform: translateY(-100%)
    }
}

.ani-in .r {
    animation: ani-in-r 1s forwards;
}

@keyframes ani-in-r {
    from {
        transform: translateY(-100%);
    }
    to {
        transform: translateY(0%)
    }
}

.ani-out .r {
    animation: ani-out-r 1s forwards;
}

@keyframes ani-out-r {
    from {
        transform: translateY(0%);
    }
    to {
        transform: translateY(100%)
    }
}

.top header {
    font-size: 1em;
    background: #000;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, .5) 100%);
    width: 100%;
    position: absolute;
    top: 0;
}

.top footer {
    background: #000;
    background: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0) 100%);
    width: 100%;
    height: 6em;
    position: absolute;
    bottom: 0;
}

.logo img {
    width: 11em;
    max-width: 100%;
    padding: .2em;
}

.btns {
    white-space: nowrap;
}

.btn {
    font-size: .75em;
    text-decoration: none;
    color: #FFF;
    font-weight: bold;
    display: inline-block;
    padding: .2em 1em;
    border: .2em solid #FFF;
    border-radius: 3em;
    white-space: nowrap;
    text-transform: uppercase;
}

.btn:hover {
    background: #FFF;
    color: #394553;
}

.wrapper {
    padding: 0 1em;
}

header .wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 3em;
}

header .wrapper div {
    width: 100%;
    height: auto;
}

header .wrapper div:last-child {
    text-align: right;
}

.boxes {
    display: grid;
    gap: 1em;
    grid-template-columns: 1fr 1fr;
}

.box {
    background: #FFF;
    color: #394553;
    text-align: center;
    border-radius: .5em;
    font-size: .75em;
    padding: 1em;
}

.box h4 {
    padding: 0;
}

.box p {
    font-size: .75em;
}

.boxes img {
    width: 5em;
}

.middlebox {
    grid-column-start: 1;
    grid-column-end: 3;
}

.text {
    padding: 1em 0;
    line-height: 1.5em;
    text-align: center;
}

.text p {
    text-align: justify;
}

section.text-1 {
    margin-top: 20em;
}

.city {
    margin: 2em auto;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1em;
    background: #FFF;
    width: 20em;
    border-radius: 10em;
    padding: .3em;
}

.city input {
    font-weight: 500;
    font-size: 1em;
    width: 100%;
    height: auto;
    padding: 0 1em;
    color: #394553;
}

.city .btn {
    color: #394553;
    border-color: #394553;
}

.city .btn:hover {
    color: #FFF;
    background: #394553;
}

.user .wrapper {
    display: grid;
    gap: 1em;
    grid-template-columns: 1fr 1fr;
    margin: 2em 0 4em;
}

.user .box {
    display: block;
    padding: .5em;
    font-size: 1em;
}

.user .box img {
    display: block;
    width: 100%;
    border-radius: .2em;
}

.user a {
    text-decoration: none;
}

.name {
    text-align: left;
    display: block;
    width: 100%;
    background: url(../../img/flirthits4you/icons/icon_6.svg) no-repeat center right;
    background-size: contain;
    margin-top: .5em;
    font-weight: 500;
}

.device {
    margin: 4em 0;
}

.iphone {
    width: 32%;
    margin-top: 10vw;
    left: 0;
}

.mac {
    width: 90%;
    position: absolute;
    top: 0;
    right: 0;
}

footer.footer {
    margin: 5em 0 1em;
}

.lang {
    margin-bottom: .5em;
}

.lang a {
    font-size: 2em;
    display: inline-block;
    margin-right: .1em;
    width: 1em;
    height: 1em;
    background-size: contain;
    border: .05em solid #394553;
    border-radius: 10em;
}

.lang a:hover {
    border-color: #FFF;
}

.hu {
    background: url(../../img/flirthits4you/lang/hu.png) no-repeat center;
}

.en {
    background: url(../../img/flirthits4you/lang/en.png) no-repeat center;
}

.de {
    background: url(../../img/flirthits4you/lang/de.png) no-repeat center;
}

.legal {
    font-size: .75em;
    color: #ddd;
}

.legal a {
    color: #ddd;
    text-decoration: none;
    display: inline-block;
}

.legal a:hover {
    text-decoration: underline;
}

.disclaimer {
    font-size: .5em;
    text-align: justify;
    line-height: normal;
    margin-top: 1em;
    color: #666;
}

.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(.3em);
    padding: 1em;
    text-align: center;
}

.overlay .box {
    position: relative;
    top: 0;
    left: 0;
    float: none;
    text-align: left;
    background: #FFF;
    color: #394553;
    padding: 1em;
    margin: auto;
    width: 60em;
    max-width: 100%;
    max-height: 100%;
    overflow: auto;
}

.overlay .box p {
    text-align: justify;
    margin-bottom: 2em;
}

.overlay .box li {
    list-style: none;
    font-size: .75em;
}

.overlay .box .close {
    font-size: 2em;
    display: block;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0;
    left: auto;
    right: 0;
    bottom: auto;
    background: #394553;
    color: #FFF;
    text-align: center;
    width: 1.4em;
    height: 1.4em;
    border-radius: 0 0 0 .3em;
    text-decoration: none;
    z-index: 10;
    cursor: pointer;
}

.content {
    left: 0;
    right: 0;
    margin: 1em auto 0 auto;
    font-size: 2rem;
}

.content .b1 {
    color: #000000;
}

@media only screen and (min-width: 600px) {
    body {
        font-size: 1.5vw;
    }

    .top header {
        padding: 1em 0;
    }

    .wrapper {
        padding: 0 5em;
    }

    .top-bg, .top-bg .set {
        height: 40em;
    }

    .boxes {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    }

    .middlebox {
        grid-column-start: auto;
        grid-column-end: auto;
    }

    section.text-1 {
        margin-top: 5em;
    }

    .text p {
        text-align: center;
    }

    .user .wrapper {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }

    .content {
        left: 0;
        right: 0;
        margin: 1em auto 0 auto;
        font-size: 2rem;
        top: 20%;
        width: 80%;
    }
}

@media only screen and (min-width: 2000px) {
    body {
        font-size: 1vw;
    }

    .wrapper {
        padding: 0 20em;
    }

    .top-bg, .top-bg .set {
        height: 45em;
    }
}


.aniin, .show {
    opacity: 0;
}

header.show,
.top-bg.show {
    animation: show-top 1.5s forwards;
}

@keyframes show-top {
    from {
        transform: translateY(-100%);
        opacity: 1;
    }
    to {
        transform: translateY(0%);
        opacity: 1;
    }
}

.boxes.show,
.boxes.show .box,
.text.show,
.city.show,
.user.show,
.user.show .box {
    opacity: 1;
    animation: show-bot 1.5s forwards;
}

@keyframes show-bot {
    0% {
        transform: translateY(100%);
        opacity: 1;
    }
    50% {
        transform: translateY(-20%)
    }
    100% {
        transform: translateY(0%);
        opacity: 1;
    }
}

.mac.show {
    animation: show-r 1.5s forwards;
}

@keyframes show-r {
    0% {
        transform: translateX(100%);
        opacity: 1;
    }
    50% {
        transform: translateX(-20%)
    }
    100% {
        transform: translateX(0%);
        opacity: 1;
    }
}

.iphone.show {
    animation: show-l 1.5s forwards;
}

@keyframes show-l {
    0% {
        transform: translateX(-100%);
        opacity: 1;
    }
    50% {
        transform: translateX(20%)
    }
    100% {
        transform: translateX(0%);
        opacity: 1;
    }
}

nav label {
    display: inline-block;
    cursor: pointer;
}

.hide {
    display: none;
    position: absolute;
}

#imprint:checked ~ main .overlay.imprint {
    display: grid;
}

#privacypolicy:checked ~ main .overlay.privacypolicy {
    display: grid;
}

.register_container {
    font-size: 0.5em;
}

.register_container > input {
    width: 100%;
    padding: 15px;
    margin: 5px 0 22px 0;
    display: inline-block;
    border: none;
    background: #f1f1f1;
}

.register_container > input:focus {
    background-color: #ddd;
    outline: none;
}

.register_container > label {
    font-size: 0.6em;
}

.register_container > hr {
    border: 1px solid #f1f1f1;
    margin-bottom: 25px;
}

.register_container > button {
    background-color: #04AA6D;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    cursor: pointer;
    width: 100%;
    opacity: 0.9;
}

.register_container > button:hover {
    opacity:1;
}
